> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sessions

> Gets a paginated list of issues for the organization



## OpenAPI

````yaml /openapi.documented.yml get /session/list
openapi: 3.1.0
info:
  title: Developer API
  description: Tembo Developer API
  version: 1.0.0
servers:
  - url: https://api.tembo.io/
    description: Tembo API
security: []
paths:
  /session/list:
    get:
      summary: List Sessions
      description: Gets a paginated list of issues for the organization
      operationId: getPublic-apiSessionList
      parameters:
        - name: limit
          in: query
          description: Number of items to return per page (max 100)
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
            example: 10
        - name: page
          in: query
          description: Page number to retrieve (starts from 1)
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            example: 1
      responses:
        '200':
          description: Successfully retrieved paginated list of issues
          content:
            application/json:
              schema:
                type: object
                properties:
                  issues:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        title:
                          type: string
                        description:
                          type: string
                        status:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        organizationId:
                          type: string
                          format: uuid
                        htmlUrl:
                          type: string
                          format: uri
                          description: >-
                            URL to view this session in the Tembo web
                            application
                          example: >-
                            https://app.tembo.io/sessions/123e4567-e89b-12d3-a456-426614174000
                      required:
                        - id
                        - title
                        - description
                        - status
                        - createdAt
                        - updatedAt
                        - organizationId
                        - htmlUrl
                  meta:
                    type: object
                    properties:
                      totalCount:
                        type: integer
                      totalPages:
                        type: integer
                      currentPage:
                        type: integer
                      pageSize:
                        type: integer
                      hasNext:
                        type: boolean
                      hasPrevious:
                        type: boolean
                    required:
                      - totalCount
                      - totalPages
                      - currentPage
                      - pageSize
                      - hasNext
                      - hasPrevious
                required:
                  - issues
                  - meta
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Tembo from '@tembo-io/sdk';

            const client = new Tembo({
              apiKey: 'My API Key',
            });

            const sessions = await client.session.list();

            console.log(sessions.issues);

````